Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
php [Le 13/07/2018, 09:00]
krodelabestiole déplacement [Conflits potentiels entre plusieurs versions de PHP] depuis page LAMP
php [Le 28/09/2018, 23:34] (Version actuelle)
krodelabestiole [Code source visible dans le navigateur] hors contexte (il faudrait un nouveau chapitre) il faudrait indiquer le chmain complet de php7.2.conf, gedit n'est pas dispo sur un serveur headless, et problème spécifique à apache...
Ligne 155: Ligne 155:
  
 ===== Problèmes courants ===== ===== Problèmes courants =====
 +
 +<note tip>
 +Si vous utilisez Apache, consultez également les [[:​apache2#​problemes_courants|problèmes courants liés à ce serveur HTTP]] afin d'​obtenir des solutions pour les erreurs 403, 404, 500, 503, etc.
 +</​note>​
  
 ==== Page blanche ==== ==== Page blanche ====
Ligne 171: Ligne 175:
 Si vous utilisez [[:​apache2#​mod_php|PHP en tant que module d'​Apache]] : Si vous utilisez [[:​apache2#​mod_php|PHP en tant que module d'​Apache]] :
   * vérifiez l'​installation du paquet [[apt>​libapache2-mod-php]]   * vérifiez l'​installation du paquet [[apt>​libapache2-mod-php]]
-  * si il est bien installé, activez le module :+  * s'il est bien installé, activez le module :
 sur [[:​bionic|Bionic 18.04]] : sur [[:​bionic|Bionic 18.04]] :
 <​code>​sudo a2enmod php7.2</​code>​ <​code>​sudo a2enmod php7.2</​code>​
Ligne 178: Ligne 182:
 Puis relancez Apache : Puis relancez Apache :
 <​code>​sudo systemctl restart apache2</​code>​ <​code>​sudo systemctl restart apache2</​code>​
- 
-==== Erreur 403, 404, 500 ==== 
- 
-Les erreurs de ce type ne sont a priori pas liées directement à PHP, mais au serveur HTTP. Si vous utilisez Apache consultez [[:​apache2#​problemes_courants|la documentation à ce sujet]]. 
- 
-==== Attente puis erreur 503 "​service indisponible"​ ==== 
- 
-Cette erreur indique que le serveur HTTP est dans les choux. Le service existe mais prend  apparemment un temps interminable à répondre.\\ 
-  * En premier lieu redémarrez le serveur HTTP (et PHP si vous l'​utilisez en FastCGI). 
-  * Si le problème se pose toujours, cela peut par exemple être dû au fait qu'un script entre dans une boucle infinie. En plus de surcharger le processeur, ce problème ne générera pas de message d'​erreur ce qui en fait malheureusement un problème particulièrement compliqué à débugger. Si votre CMS ou application web utilise un système de cache, vous pouvez essayer de le vider et de le désactiver. Puis essayer de désinstaller les plugins installés récemment, défaire les modifications récentes ou restaurer une sauvegarde de votre application PHP. 
  
 ==== Conflits potentiels entre plusieurs versions de PHP ==== ==== Conflits potentiels entre plusieurs versions de PHP ====
Ligne 195: Ligne 189:
  
 Vous pouvez vérifier cela avec cette commande : Vous pouvez vérifier cela avec cette commande :
-<​code>​apt list php\* | grep install</​code>​ +<​code>​apt list \*php\* | grep install</​code>​ 
-Si vous voyez apparaître plusieurs versions de PHP, par ex. //php7.0////php7.2// ou //php5.6//, vous avez un problème. Dans ce cas supprimez les versions de PHP qui ne correspondent pas à la version proposée par les dépôts officiels d'​ubuntu (//php7.0// sur [[:​xenial|Xenial 16.04]], //php7.2// sur [[:​bionic|Bionic 18.04]]) puis réinstallez les paquets absents si nécessaire ([[apt>​libapache2-mod-php]],​ etc).+Si vous voyez apparaître plusieurs versions de PHP, par ex. //php7.2// et //php7.0// ou //php5.6//, vous avez un problème. Dans ce cas supprimez les versions de PHP qui ne correspondent pas à la version proposée par les dépôts officiels d'​ubuntu (//php7.0// sur [[:​xenial|Xenial 16.04]], //php7.2// sur [[:​bionic|Bionic 18.04]]), [[:​ppa#​la_methode_propre_les_paquets_de_gestion_automatiqueppa-purge_launchpad-getkeys|désinstallez le PPA exotique]] si il existe, ​puis réinstallez les paquets absents si nécessaire ​sans spécifier de numéro de version ​([[apt>​libapache2-mod-php]],​ etc).
  
 ===== Voir aussi ===== ===== Voir aussi =====
  • php.1531465229.txt.gz
  • Dernière modification: Le 13/07/2018, 09:00
  • par krodelabestiole